package gssim.db.dao.data;

import java.sql.Timestamp;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class ResourceEnTimeline {
	
	  protected Integer fkResourceId;
	  protected Timestamp timestamp;
	  protected Float usage;
	  
	public Integer getFkResourceId() {
		return fkResourceId;
	}
	
	public void setFkResourceId(Integer fkResourceId) {
		this.fkResourceId = fkResourceId;
	}
	
	public Timestamp getTimestamp() {
		return timestamp;
	}
	
	public void setTimestamp(Timestamp timestamp) {
		this.timestamp = timestamp;
	}
	
	public Float getUsage() {
		return usage;
	}
	
	public void setUsage(Float usage) {
		this.usage = usage;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + fkResourceId;
		result = prime * result
				+ ((timestamp == null) ? 0 : timestamp.hashCode());
		result = prime * result + Float.floatToIntBits(usage);
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ResourceEnTimeline other = (ResourceEnTimeline) obj;
		if (fkResourceId != other.fkResourceId)
			return false;
		if (timestamp == null) {
			if (other.timestamp != null)
				return false;
		} else if (!timestamp.equals(other.timestamp))
			return false;
		if (Float.floatToIntBits(usage) != Float.floatToIntBits(other.usage))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "ResourceEnTimeline [fkResourceId=" + fkResourceId
				+ ", timestamp=" + timestamp + ", usage=" + usage + "]";
	}
}
