package gssim.db.dao.data;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class Plugin {

	protected Integer PK;
	protected String name;
	protected String description;
	protected String input;
	protected Boolean isGlobal;
	
	public Integer getPK() {
		return PK;
	}
	
	public void setPK(Integer pK) {
		this.PK = pK;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getDescription() {
		return description;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}
	
	public String getInput() {
		return input;
	}
	
	public void setInput(String input) {
		this.input = input;
	}
	
	public Boolean getIsGlobal() {
		return isGlobal;
	}
	
	public void setIsGlobal(Boolean isGlobal) {
		this.isGlobal = isGlobal;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((PK == null) ? 0 : PK.hashCode());
		result = prime * result
				+ ((name == null) ? 0 : name.hashCode());
		result = prime * result
				+ ((description == null) ? 0 : description.hashCode());
		result = prime * result
				+ ((input == null) ? 0 : input.hashCode());
		result = prime * result + ((isGlobal == null) ? 0 : isGlobal.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Plugin other = (Plugin) obj;
		if (PK != other.PK)
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (description == null) {
			if (other.description != null)
				return false;
		} else if (!description.equals(other.description))
			return false;
		if (input == null) {
			if (other.input != null)
				return false;
		} else if (!input.equals(other.input))
			return false;
		if (isGlobal != other.isGlobal)
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "Plugin [PK=" + PK + ", name=" + name
				+ ", description=" + description + ", input=" + input
				+ ", isGlobal=" + isGlobal + "]";
	}
}
